## doublex 1.7.2

=== slides/Makefile ===

LINKS=css lib plugin js

all: reveal.js $(LINKS)

reveal.js:
	git clone --depth 1 https://github.com/hakimel/reveal.js.git

$(LINKS):
	ln -s reveal.js/$@ $@

clean:
	$(RM) -r reveal.js
	$(RM) $(LINKS)

## doublex 1.5.1

=== debian/changelog ===
doublex (1.5.1-1) unstable; urgency=low

  * New release
  * First official release: (Closes: #688979)
  * debian/rules: clone specific version tag
  * debian/watch added

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 25 Oct 2012 16:03:44 +0200

doublex (1.5-1) UNRELEASED; urgency=low

  * Release to substitute pyDoubles
  * [/control] New description

 -- David Villa Alises <David.Villa@gmail.com>  Tue, 09 Oct 2012 12:00:05 +0200

doublex (0.6.3-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 03 Oct 2012 15:31:42 +0200

doublex (0.6.2-1) UNRELEASED; urgency=low

  * Initial release

 -- David Villa Alises <David.Villa@gmail.com>  Fri, 28 Sep 2012 14:04:37 +0200

=== debian/control ===
Source: doublex
Section: python
Priority: optional
Maintainer: David Villa Alises <David.Villa@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: https://bitbucket.org/DavidVilla/python-doublex
Vcs-Svn: svn://svn.debian.org/python-modules/packages/doublex
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/doublex/trunk/

Package: python-doublex
Architecture: all
Depends: ${misc:Depends}, python-hamcrest
Replaces: python-pydoubles
Description: test doubles framework for Python
 doublex is a test doubles framework for the Python unittest module. It may be
 used as a effective tool to perform Test Driven Development.
 .
 It provides stubs, spies, proxy-spies, mocks, individual methods, properties,
 etc. Methods support observer attachment or delegate return value generation
 to iterables, generators or even third party functions. A special double
 factory (called Mimic) allows one to create doubles inheriting original class
 superclasses. This allow replace original instances even for code performing
 explicit type checking.
 .
 doublex supersedes pyDoubles and it provides its legacy API as a wrapper.


# Local Variables:
# coding: utf-8
# fill-column: 79
# mode: flyspell
# ispell-local-dictionary: "american"
# End:

=== debian/rules ===
#!/usr/bin/make -f

APP=doublex
VERSION=$(shell head -n 1 debian/changelog | cut -f2 -d " " | tr -d "()" | cut -f1 -d "-")

ORIG_REPO=hg clone http://bitbucket.org/DavidVilla/python-doublex -r v$(VERSION)
ORIG_DIR=$(APP)-$(VERSION)
EXCLUDE=--exclude=debian --exclude=\*~ --exclude=.hg --exclude=.svn --exclude=\*.pyc

%:
	dh $@ --with python2

get-orig-source:
	$(ORIG_REPO) $(ORIG_DIR)
	tar $(EXCLUDE) -czf $(APP)_$(VERSION).orig.tar.gz $(ORIG_DIR)
	$(RM) -r $(ORIG_DIR)

## doublex 1.6.6

=== debian/changelog ===
doublex (1.6.6-2) unstable; urgency=low

  * [/control] python3:Depends for python3-doublex

 -- David Villa Alises <David.Villa@gmail.com>  Sat, 27 Apr 2013 21:05:27 +0200

doublex (1.6.6-1) UNRELEASED; urgency=low

  * New release
  * [/control] python3 support

 -- David Villa Alises <David.Villa@gmail.com>  Sat, 27 Apr 2013 19:58:24 +0200

doublex (1.6.5-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 25 Apr 2013 09:28:52 +0200

doublex (1.6.3-2) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Mon, 18 Feb 2013 13:44:35 +0100

doublex (1.6.1-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 07 Feb 2013 14:10:36 +0100

doublex (1.6-1) UNRELEASED; urgency=low

  * New release
  * [/control] python3 support

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 10 Jan 2013 13:34:34 +0100

=== debian/control ===
Source: doublex
Section: python
Priority: optional
Maintainer: David Villa Alises <David.Villa@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 python-all (>= 2.6.6-3),
 python-setuptools (>= 0.6b3),
 python3-all,
 python3-setuptools
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: https://bitbucket.org/DavidVilla/python-doublex
Vcs-Svn: svn://svn.debian.org/python-modules/packages/doublex
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/doublex/trunk/


Package: python-doublex
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-hamcrest
Replaces: python-pydoubles
Description: test doubles framework for Python 2
 doublex is a test doubles framework for the Python unittest module. It may be
 used as a effective tool to perform Test Driven Development.
 .
 It provides stubs, spies, proxy-spies, mocks, individual methods, properties,
 etc. Methods support observer attachment or delegate return value generation
 to iterables, generators or even third party functions. A special double
 factory (called Mimic) allows one to create doubles inheriting original class
 superclasses. This provides replacements for the original instances even for
 code performing explicit type checking.
 .
 doublex supersedes pyDoubles and it provides its legacy API as a wrapper.


Package: python3-doublex
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-hamcrest
Description: test doubles framework for Python 3
 doublex is a test doubles framework for the Python unittest module. It may be
 used as a effective tool to perform Test Driven Development.
 .
 It provides stubs, spies, proxy-spies, mocks, individual methods, properties,
 etc. Methods support observer attachment or delegate return value generation
 to iterables, generators or even third party functions. A special double
 factory (called Mimic) allows one to create doubles inheriting original class
 superclasses. This provides replacements for the original instances even for
 code performing explicit type checking.


# Local Variables:
# coding: utf-8
# fill-column: 79
# mode: flyspell
# ispell-local-dictionary: "american"
# End:

## doublex 1.7.2

=== debian/changelog ===
doublex (1.7.2-1) unstable; urgency=low

  * New release
  * [/control] using 3.9.4 standards-version

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 06 Nov 2013 23:40:56 +0100

doublex (1.7.1-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Mon, 28 Oct 2013 15:19:12 +0100

doublex (1.6.6-4) UNRELEASED; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- David Villa Alises <David.Villa@gmail.com>  Mon, 28 Oct 2013 15:18:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  python-setuptools (>= 0.6b3),
  python3-all,
  python3-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 Homepage: https://bitbucket.org/DavidVilla/python-doublex
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/doublex
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/doublex/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/doublex/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/doublex/trunk/
 
 
 Package: python-doublex

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,31 @@
 ORIG_DIR=$(APP)-$(VERSION)
 EXCLUDE=--exclude=debian --exclude=\*~ --exclude=.hg --exclude=.svn --exclude=\*.pyc
 
+# http://wiki.debian.org/Python/LibraryStyleGuide
+
+PYTHON2=$(shell pyversions -vr)
+PYTHON3=$(shell py3versions -vr)
+
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3
+
+
+build-python%:
+	python$* setup.py build
+
+override_dh_auto_build: $(PYTHON3:%=build-python%)
+	dh_auto_build
+
+install-python%:
+	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
+
+override_dh_auto_install: $(PYTHON3:%=install-python%)
+	dh_auto_install
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf build
+	rm -rf *.egg-info
 
 get-orig-source:
 	$(ORIG_REPO) $(ORIG_DIR)

=== debian/watch ===
version=3

http://bitbucket.org/DavidVilla/python-doublex/downloads/doublex-(.*)\.tar\.gz

## doublex 1.8.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

GENERATED=doubles.rst reference.rst methods.rst delegates.rst observers.rst mimics.rst async-spies.rst calls.rst properties.rst

clean:
	rm -rf $(BUILDDIR)/*
	$(RM) $(GENERATED) *~

html: index.rst release-notes.rst $(GENERATED)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

%.rst: %.rst.test
	sed 's/^.. doctest::.*$$//g' $< > $@
	sed -i 's/^.. testcode::.*$$//g' $@
	sed -i 's/^.. testoutput::$$//g' $@


dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/doublex.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/doublex.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/doublex"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/doublex"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doctests/Makefile ===
 # Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

all: doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	$(RM) -r _build *~ *.inc

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/doubles.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/doubles.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/doubles"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/doubles"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

%.rst.inc: ../docs/%.rst.test
	sed 's/^.. sourcecode:: python//g' $< > $@

GENERATED=doubles.rst.inc reference.rst.inc methods.rst.inc properties.rst.inc delegates.rst.inc observers.rst.inc mimics.rst.inc async-spies.rst.inc calls.rst.inc


doctest: $(GENERATED)
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== slides/beamer/Makefile ===
include arco/latex.mk

=== debian/changelog ===
doublex (1.8.2-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:42:00 +0000

doublex (1.8.2-1) unstable; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 26 Nov 2014 10:57:37 +0100

doublex (1.8.1-1) unstable; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Tue, 07 Jan 2014 16:42:56 +0100

doublex (1.8a-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 01 Jan 2014 18:15:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doublex
 Section: python
 Priority: optional
-Maintainer: David Villa Alises <David.Villa@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Villa Alises <David.Villa@gmail.com>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
  debhelper (>= 7.0.50),
@@ -9,7 +10,7 @@
  python-setuptools (>= 0.6b3),
  python3-all,
  python3-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: https://bitbucket.org/DavidVilla/python-doublex
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/doublex/trunk/
@@ -47,11 +48,3 @@
  factory (called Mimic) allows one to create doubles inheriting original class
  superclasses. This provides replacements for the original instances even for
  code performing explicit type checking.
-
-
-# Local Variables:
-# coding: utf-8
-# fill-column: 79
-# mode: flyspell
-# ispell-local-dictionary: "american"
-# End:

## doublex 1.9.2

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you dont have Sphinx installed, grab it from http://sphinx-doc.org/)
 endif
 
 # Internal variables.
@@ -51,8 +51,8 @@
 GENERATED=doubles.rst reference.rst methods.rst delegates.rst observers.rst mimics.rst async-spies.rst calls.rst properties.rst
 
 clean:
-	rm -rf $(BUILDDIR)/*
-	$(RM) $(GENERATED) *~
+	rm -rf $(BUILDDIR)/* *~
+#	$(RM) $(GENERATED)
 
 html: index.rst release-notes.rst $(GENERATED)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
doublex (1.9.2-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * New upstream release (Closes: #904382).
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Drop Python 2 support (Closes: #936441).
  * Use pybuild to build package.
  * Add python3-hamcrest, python3-nose and python3-six to B-D.
  * d/watch: Fix.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12 and use debhelper-compat.
  * d/rules:
    - Drop get-orig-source target.
    - Fix running tests.

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Sep 2019 16:15:01 +0200

=== debian/control ===
Source: doublex
Section: python
Priority: optional
Maintainer: David Villa Alises <David.Villa@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-hamcrest,
 python3-nose,
 python3-setuptools,
 python3-six,
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/DavidVilla/python-doublex
Vcs-Git: https://salsa.debian.org/python-team/modules/doublex.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/doublex
Testsuite: autopkgtest-pkg-python

Package: python3-doublex
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-hamcrest
Description: test doubles framework for Python 3
 doublex is a test doubles framework for the Python unittest module. It may be
 used as a effective tool to perform Test Driven Development.
 .
 It provides stubs, spies, proxy-spies, mocks, individual methods, properties,
 etc. Methods support observer attachment or delegate return value generation
 to iterables, generators or even third party functions. A special double
 factory (called Mimic) allows one to create doubles inheriting original class
 superclasses. This provides replacements for the original instances even for
 code performing explicit type checking.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=doublex
export PYBUILD_TEST_ARGS=doublex.test3
export PYBUILD_BEFORE_TEST=cp -r {dir}/doublex/test* {build_dir}/doublex
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/doublex/test*/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	rm debian/python3-doublex/usr/README.rst

=== debian/watch ===
version=4
https://bitbucket.org/DavidVilla/python-doublex/downloads?tab=tags .*/v?(\d\S+)\.tar\.gz
